import { defineComponent } from 'vue';
import styles from './index.module.less';

export default defineComponent({
  name: 'loading',
  setup() {
    return () => (
      <div class={[styles.loadingPop]}>
        <div class={styles.loadingCssBox}>
          <div class={styles.loadingCssItem}></div>
          <div class={styles.loadingCssItem}></div>
          <div class={styles.loadingCssItem}></div>
          <div class={styles.loadingCssItem}></div>
        </div>
        <div class={styles.loadingTip}>资源加载中...</div>
      </div>
    );
  }
});
